Bug 193776 - [patch] tweak editors/openoffice-4 to use internal saxon to allow it to coexist with scilab
Summary: [patch] tweak editors/openoffice-4 to use internal saxon to allow it to coexi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Don Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-19 17:12 UTC by Don Lewis
Modified: 2015-01-19 01:16 UTC (History)
0 users

See Also:
truckman: maintainer-feedback? (office)


Attachments
patch to tweak openoffice-4 to use private copy of saxon (2.75 KB, patch)
2014-09-19 17:12 UTC, Don Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Don Lewis freebsd_committer 2014-09-19 17:12:22 UTC
Created attachment 147471 [details]
patch to tweak openoffice-4 to use private copy of saxon

The editors/openoffice-4 port currently depends on textproc/saxon-devel and relies on features that are only present in this version of saxon.  The recent update to math/scilab added a dependency to textproc/saxon-he, and it requires features that are only present in this version.  Unfortunately saxon-devel and saxon-he conflict because they both want to install
/usr/local/share/java/classes/saxon9-xqj.jar, which means that openoffice-4 and scilab can't both be installed on the same machine.

The attached patch removes the openoffice-4 --with-system-saxon and
--with-saxon-jar configure options so that it will use a private copy of saxon and remove the conflict.
Comment 1 Bugzilla Automation freebsd_committer 2014-09-19 17:12:22 UTC
Auto-assigned to maintainer office@FreeBSD.org
Comment 2 Pedro F. Giffuni freebsd_committer 2014-09-19 21:10:57 UTC
Comment on attachment 147471 [details]
patch to tweak openoffice-4 to use private copy of saxon

The change looks good.

For the record:

We always have had a conflict there. The latest free versions of saxon (-he) removed some features that OpenOffice needs. Scilab was using an even older version but it doesn't use the specific features that OpenOffice requires.

The version of saxon in OpenOffice is also somewhat older than saxon-devel but it was specially prepared by the upstream developer for OpenOffice.
Comment 3 Don Lewis freebsd_committer 2014-09-19 21:40:55 UTC
Prior to the upgrade to 5.5.0 in r367295, scilab extracted saxon.jar from the saxon 6.5.5 distfile, so it didn't use the saxon port, avoiding the conflict.  That dates back to my change in r298046 to remedy the conflict back in the days of openoffice 3.4.
Comment 4 commit-hook freebsd_committer 2015-01-19 00:57:53 UTC
A commit references this bug:

Author: truckman
Date: Mon Jan 19 00:57:32 UTC 2015
New revision: 377375
URL: https://svnweb.freebsd.org/changeset/ports/377375

Log:
  The editors/openoffice-4 port currently depends on textproc/saxon-devel and
  relies on features that are only present in this version of saxon.  The
  recent update to math/scilab added a dependency to textproc/saxon-he, and
  it requires features that are only present in this version.  Unfortunately
  saxon-devel and saxon-he conflict because they both want to install
  /usr/local/share/java/classes/saxon9-xqj.jar, which means that openoffice-4
  and scilab can't both be installed on the same machine.  Avoid this problem
  by tweaking openoffice-4 use a private copy of saxon.  This requires a
  new version of the ext_sources tarball.

  Bump PORTREVISION so that users pick up the updated port.

  Modernize MASTER_SITES syntax and update MASTER_SITE for unowinreg.dll.

  Update comment to take de facto mainternship.

  PR:		193776
  Differential Revision:	https://reviews.freebsd.org/D1553
  Reviewed by:	bapt, pfg
  Approved by:	mat (mentor)

Changes:
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-4/distinfo